Skip to main content
`Ctrl`+`K`

# KSPGetNormType

Gets the `KSPNormType` that is used for convergence testing during `KSPSolve()` for this `KSP` context

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGetNormType(KSP ksp, KSPNormType *normtype)

Not Collective

## Input Parameter

- ksp - Krylov solver context

## Output Parameter

- normtype - the `KSPNormType` that is used for convergence testing

## See Also

KSP: Linear System Solvers, `KSPNormType`, `KSPSetNormType()`, `KSPConvergedSkip()`

## Level

advanced

## Location

src/ksp/ksp/interface/itcreate.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages